RPMLUA(1)

NOM
rpmlua — L’interpréteur Lua de RPM

SYNOPSIS
rpmlua [options] [SCRIPT_LUA] [-- ARG ...]

DESCRIPTION
Exécuter l’interpréteur Lua interne de RPM.

Remarque les indices débutent à 1 dans Lua, aussi le nom de programme est arg[1] au lieu de l’indice zéro plus habituel.

ARGUMENTS
LUA SCRIPT
    Un script Lua.

ARG
    Options et arguments à passer au FICHIER_SCRIPT. rpmlua stoppe le traitement à --.

OPTIONS
-i, --interactive
    Exécuter une session interactive après l’exécution du script ou d’une instruction.

--opts=CHAINE_OPTIONS
    Réaliser le traitement de l’option de getopt(3) avec les arguments passés à l’aide de CHAINE_OPTIONS.

-e "INSTRUCTION", --execute "INSTRUCTION"
    Exécuter une instruction Lua avant d’exécuter un script facultatif.

CODE DE RETOUR
En cas de succès, 0 est renvoyé, autrement, un code d'échec différent de zéro est renvoyé.

EXEMPLES
rpmlua test.lua
    Exécuter le fichier test.lua.

rpmlua --opts=ab:c args.lua -- 1 2 3 -c -b5
    Exécuter le fichier de script args.lua avec traitement d’options.

rpmlua -e "print(rpm.ver('1.0') < rpm.ver('2.0'))"
    Exécuter une seule instruction pour comparer des versions de rpm.

rpmlua -i
    Exécuter une session interactive.

VOIR AUSSI
lua(1), popt(3), getopt(3), rpm(8) rpm-lua(7)

http://www.rpm.org/

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.